<?php
/*
Plugin Name: Sahifa Box'em'all
Plugin URI: 
Description: Permette di ottenere dei box in stile sahifa per le pagine usando uno shortcode, se usato con il plugin all-in-event-calender con il medesimo modo si possono anche ottenere dei box di eventi.
Version: 0.1
Author: gin(e)
Author URI: http://ginex.indivia.net
License: BSD(3-clause) Licence
*/

/*Intercetto lo shortcode*/
add_shortcode('sbea', 'sbea_inject_box');
function sbea_inject_box($attrs){
	if( is_home() &&
		isset($attrs['type']) && isset($attrs['ids'])){
		if($attrs['type']=='page'){
			require_once 'page_box.php';
			get_page_box($attrs);
		} else if ($attrs['type']=='event') {
			require_once 'ai1ec_box.php';
			get_ai1ec_box($attrs);
		}
	}
}

/*Carico il css personalizzato*/
add_action( 'wp_enqueue_scripts', 'sbea_load_scripts' );
function sbea_load_scripts($attrs){
	if( is_home()) {
		wp_register_style( 'sbea_css', plugins_url( 'css/sbea.css', __FILE__),false,true );
		wp_enqueue_style( 'sbea_css' );
	}
}